Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(213)

Issue 29322610: Issue 2720 - [Adblocking settings] Add the other filter lists category (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 2 months ago by René Jeschke
Modified:
4 years, 1 month ago
Reviewers:
Felix Dahlke
Visibility:
Public.

Description

Issue 2720 - [Adblocking settings] Add the other filter lists category

Patch Set 1 #

Patch Set 2 : Corrected spinner texts #

Patch Set 3 : Changed screen title #

Total comments: 37

Patch Set 4 : Mostly naming #

Total comments: 2

Patch Set 5 : Even more naming #

Total comments: 1

Patch Set 6 : Merged Issue-2750 #

Patch Set 7 : postToHandler somehow got swallowed. #

Patch Set 8 : Last naming nit #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1116 lines, -305 lines) Patch
M adblockplus/Api.jsm View 4 chunks +15 lines, -2 lines 0 comments Download
M mobile/android/base/locales/adblockbrowser/en-US/android_strings.dtd View 1 2 3 4 5 6 7 2 chunks +16 lines, -3 lines 0 comments Download
M mobile/android/base/moz.build View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
A mobile/android/base/resources/drawable/abb_edittext_bkg.9.png View Binary file 0 comments Download
A mobile/android/base/resources/layout/abb_custom_prefscreen.xml View 1 2 3 1 chunk +37 lines, -0 lines 0 comments Download
A mobile/android/base/resources/layout/abb_minimal_widget.xml View 1 chunk +7 lines, -0 lines 0 comments Download
A mobile/android/base/resources/layout/abb_url_input_dialog.xml View 1 chunk +33 lines, -0 lines 0 comments Download
A mobile/android/base/resources/values/abb_colors.xml View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
M mobile/android/base/resources/xml-v11/preferences_abb_abp.xml View 1 2 3 2 chunks +6 lines, -6 lines 0 comments Download
M mobile/android/base/resources/xml/preferences_abb_abp.xml View 1 2 3 2 chunks +9 lines, -6 lines 0 comments Download
M mobile/android/base/resources/xml/preferences_abb_abp_acceptable_ads.xml View 2 chunks +1 line, -7 lines 0 comments Download
M mobile/android/base/resources/xml/preferences_abb_adblocking.xml View 1 chunk +1 line, -6 lines 0 comments Download
A mobile/android/base/resources/xml/preferences_abb_more_blocking.xml View 1 2 3 1 chunk +14 lines, -0 lines 0 comments Download
M mobile/android/base/strings.xml.in View 1 2 3 4 5 6 7 2 chunks +15 lines, -2 lines 0 comments Download
M mobile/android/thirdparty/org/adblockplus/browser/AddOnBridge.java View 1 2 3 4 5 6 3 chunks +36 lines, -8 lines 0 comments Download
A mobile/android/thirdparty/org/adblockplus/browser/MoreSubscriptionsPreferenceGroup.java View 1 2 3 4 5 6 7 1 chunk +357 lines, -0 lines 0 comments Download
A mobile/android/thirdparty/org/adblockplus/browser/SubscriptionContainer.java View 1 2 3 1 chunk +280 lines, -0 lines 0 comments Download
M mobile/android/thirdparty/org/adblockplus/browser/SubscriptionPreferenceCategory.java View 1 2 3 4 5 6 3 chunks +2 lines, -265 lines 0 comments Download
A mobile/android/thirdparty/org/adblockplus/browser/UrlInputDialog.java View 1 2 3 4 1 chunk +195 lines, -0 lines 0 comments Download
A mobile/android/thirdparty/org/adblockplus/browser/UrlInputOpenerPreference.java View 1 2 3 4 1 chunk +82 lines, -0 lines 0 comments Download

Messages

Total messages: 6
René Jeschke
This looks heavier than it really is. I included a few 'unrelated' changes because I ...
4 years, 2 months ago (2015-07-17 19:10:28 UTC) #1
Felix Dahlke
https://codereview.adblockplus.org/29322610/diff/29322701/mobile/android/base/locales/en-US/android_strings.dtd File mobile/android/base/locales/en-US/android_strings.dtd (right): https://codereview.adblockplus.org/29322610/diff/29322701/mobile/android/base/locales/en-US/android_strings.dtd#newcode651 mobile/android/base/locales/en-US/android_strings.dtd:651: <!ENTITY abb_pref_category_further_blocking "More blocking options"> The term we sort ...
4 years, 1 month ago (2015-07-26 17:06:23 UTC) #2
René Jeschke
https://codereview.adblockplus.org/29322610/diff/29322701/mobile/android/base/locales/en-US/android_strings.dtd File mobile/android/base/locales/en-US/android_strings.dtd (right): https://codereview.adblockplus.org/29322610/diff/29322701/mobile/android/base/locales/en-US/android_strings.dtd#newcode651 mobile/android/base/locales/en-US/android_strings.dtd:651: <!ENTITY abb_pref_category_further_blocking "More blocking options"> On 2015/07/26 17:06:21, Felix ...
4 years, 1 month ago (2015-07-28 10:55:27 UTC) #3
Felix Dahlke
Almost there, just a few more naming concerns. https://codereview.adblockplus.org/29322610/diff/29322701/mobile/android/thirdparty/org/adblockplus/browser/UrlInputDialog.java File mobile/android/thirdparty/org/adblockplus/browser/UrlInputDialog.java (right): https://codereview.adblockplus.org/29322610/diff/29322701/mobile/android/thirdparty/org/adblockplus/browser/UrlInputDialog.java#newcode54 mobile/android/thirdparty/org/adblockplus/browser/UrlInputDialog.java:54: ADD_BLOCKING_LIST, ...
4 years, 1 month ago (2015-07-29 20:32:08 UTC) #4
René Jeschke
https://codereview.adblockplus.org/29322610/diff/29322701/mobile/android/thirdparty/org/adblockplus/browser/UrlInputDialog.java File mobile/android/thirdparty/org/adblockplus/browser/UrlInputDialog.java (right): https://codereview.adblockplus.org/29322610/diff/29322701/mobile/android/thirdparty/org/adblockplus/browser/UrlInputDialog.java#newcode54 mobile/android/thirdparty/org/adblockplus/browser/UrlInputDialog.java:54: ADD_BLOCKING_LIST, On 2015/07/29 20:32:07, Felix Dahlke wrote: > Nit: ...
4 years, 1 month ago (2015-07-30 09:26:44 UTC) #5
Felix Dahlke
4 years, 1 month ago (2015-07-30 17:38:00 UTC) #6
LGTM, with the final nit fixed

https://codereview.adblockplus.org/29322610/diff/29323038/mobile/android/base...
File mobile/android/base/strings.xml.in (right):

https://codereview.adblockplus.org/29322610/diff/29323038/mobile/android/base...
mobile/android/base/strings.xml.in:555: <string
name="abb_list_disable_tracking">&abb_list_disable_tracking;</string>
Nit: I know I know, I suggested "list" myself here, but for consistency's sake,
this should IMO also be called "subscription" now :)
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5